%data generation
% cd to the folder this file resides and then run it
addpath(genpath(pwd));
dataset = '15'; 
img_num = 100000;
dictoryPath = ['/scratch/Dai/Data/Classification/15/'] ; 

imgFolders = dir(strcat(dictoryPath,'*'));
imgFolders = imgFolders(3:end);
labelNums = length(imgFolders);

scaling = 6; 

l = 1;
data.fet = zeros(img_num, 59);
data.lab = zeros(img_num, 1);

for nFolders=1:labelNums
%     if (length(imgFolders(nFolders).name)<=2) 
%         continue;
%     end
        
    imgPath = strcat(dictoryPath,imgFolders(nFolders).name,'/');
    imgSet = dir(fullfile(imgPath,'*.jpg'));
    imgNums = length(imgSet);
 
    % Parameters
    for n=1:imgNums  
        imgName = strcat(imgPath,imgSet(n).name);
        [ipath, iname, ext] = fileparts(imgName);
        img = imread(imgName);
       
        img = imresize(img, 1/scaling);
        
        f_lbp = lbp_img(img);  
        data.fet(l,:) = f_lbp;
        data.lab(l,1) = nFolders;    
        data.names{l} = [imgFolders(nFolders).name '/' iname, ext];
        l = l + 1; 
        [l]
    end
end

save('-v7.3', ['/scratch/experiments/semi_supervised/data/data_' dataset '_lbp_LR' num2str(scaling) '.mat'], 'data');